Hashrate IndexAPI DocumentationAsic

Get ASIC Max Daily Profit

GET
/asic/max-daily-profit

/asic/max-daily-profit has rate limitation:

Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.

ASIC Max Daily Profit

This endpoint estimates the maximum daily profit for a specific ASIC model, considering current market conditions and energy costs. It aids miners in financial planning and strategy development.

Authorization

ApiKeyAuth
X-Hi-Api-Key<token>

In: header

Query Parameters

modelSlug*string

ASIC model slug. Refer to Get ASIC models to get the list of allowed slugs

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/asic/max-daily-profit?modelSlug=bitmain-antminer-s19j-90th"
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ASICProfitData.json",  "data": [    {      "electricityCost": 0.1,      "electricityPrice": 0.1,      "maxDailyProfit": 0.1,      "revenue": 0.1,      "timestamp": "2019-08-24T14:15:22Z"    }  ]}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}